---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    labels:
      provider: fabric8
      project: funktion-operator
      version: 3.0.2
      group: io.fabric8.funktion.apps
    name: funktion-operator
- apiVersion: v1
  kind: RoleBinding
  metadata:
    labels:
      provider: fabric8
      project: funktion-operator
      version: 3.0.2
      group: io.fabric8.funktion.apps
    name: funktion-operator-edit
  roleRef:
    name: edit
  subjects:
  - kind: ServiceAccount
    name: funktion-operator
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 5f395178b88b87bbadd750204ce1a86e98921f7e
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=funktion-operator&var-version=3.0.2
      fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-operator
      fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/funktion-operator
      fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/funktion-operator/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v3.0.2
      fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-operator
      fabric8.io/scm-tag: app-console-2.0.1
    labels:
      provider: fabric8
      project: funktion-operator
      version: 3.0.2
      group: io.fabric8.funktion.apps
    name: funktion-operator
  spec:
    replicas: 1
    selector:
      project: funktion-operator
      provider: fabric8
      group: io.fabric8.funktion.apps
    strategy:
      rollingParams:
        timeoutSeconds: 7200
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 5f395178b88b87bbadd750204ce1a86e98921f7e
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=funktion-operator&var-version=3.0.2
          fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-operator
          fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/funktion-operator
          fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/funktion-operator/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v3.0.2
          fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-operator
          fabric8.io/scm-tag: app-console-2.0.1
        labels:
          provider: fabric8
          project: funktion-operator
          version: 3.0.2
          group: io.fabric8.funktion.apps
      spec:
        containers:
        - command:
          - /bin/operator
          - operate
          env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: funktion/funktion:1.0.13
          imagePullPolicy: IfNotPresent
          name: funktion
          resources:
            limits:
              memory: 250Mi
              cpu: 250m
        serviceAccountName: funktion-operator
    triggers:
    - type: ConfigChange
